/**
 * Copyright © VNG Realisatie 2024
 * Licensed under the EUPL
 */

@use "../theme";

.incoming-connections-page {
    &__actions-bar {
        display: flex;
        align-items: flex-start;
        margin-bottom: 2rem;

        &__button {
            &.active {
                background-color: theme.$colorBackgroundButtonSecondarySelected;
                color: theme.$colorTextButtonSecondarySelected;
            }
        }
    }

    &__connections-table {
        &__column {
            width: 20rem;
        }
        &__contract-status-column {
            width: 2rem;
        }
    }

    &__no-results {
        color: theme.$colorTextLabel;
        font-size: theme.$fontSizeSmall;
        margin-bottom: 0;
        text-align: center;
        height: calc(100vh - 20rem);
        line-height: calc(100vh - 20rem);
    }

    #pagination .incoming-connections-page__no-results {
        height: initial;
        line-height: initial;
    }
}
